Bug 993876 - [RHSC] RFE: Show an alert attached to a volume when a brick that is part of the volume, goes down.
[RHSC] RFE: Show an alert attached to a volume when a brick that is part of t...
Status: CLOSED WONTFIX
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.1
Unspecified Unspecified
high Severity medium
: ---
: ---
Assigned To: Sahina Bose
Shruti Sampat
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-06 08:53 EDT by Shruti Sampat
Modified: 2015-08-28 06:10 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-28 06:10:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shruti Sampat 2013-08-06 08:53:09 EDT
Description of problem:
---------------------------
When a brick that is part of a volume, goes down, the UI needs to show an alert attached to that volume.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
N/A

Steps to Reproduce:
1.N/A
2.
3.

Actual results:
N/A

Expected results:
N/A

Additional info:
Comment 2 Sahina Bose 2013-08-29 06:17:38 EDT
Audit log message should be added whenever a brick goes down.

An exclamation against the volume to be added to indicate that all bricks are down.

The volume UP icon will be a yellow UP icon, if one or more bricks are down in the volume
Comment 3 Scott Haines 2013-09-23 19:18:51 EDT
Retargeting for 2.1.z U2 (Corbett) release.
Comment 4 Dusmant 2013-10-07 09:22:57 EDT
Anmol is already taking care of the following two things
------------------------------------
An exclamation against the volume to be added to indicate that all bricks are down.

The volume UP icon will be a yellow UP icon, if one or more bricks are down in the volume
------------------------------------

Last part is "Audit log message should be added whenever a brick goes down" -- which can be taken by Sahina
Comment 6 Dusmant 2015-08-28 06:10:05 EDT
Already a part of the points, as i had put in my last comment, is already addressed, if not everything. We are not planning to fix the rest of it. Hence closing this BZ. If you think, it's applicable for 3.x release and would have an impact on customer, pls. open up a new BZ with the appropriate version. Thanks, -Dusmant

Note You need to log in before you can comment on or make changes to this bug.